<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../DTD/structure.dtd" [
<!ENTITY GeneralParam SYSTEM "GeomParam/VeloGeneralParam.xml">
<!ENTITY SensorParam SYSTEM "GeomParam/VeloSensorParam.xml">
<!ENTITY SensorParam SYSTEM "GeomParam/HybridParam.xml">
<!ENTITY SensorParam SYSTEM "GeomParam/VeloPaddleParam.xml">
<!ENTITY SensorParam SYSTEM "GeomParam/VeloRFFoilParam.xml">
<!ENTITY SensorParam SYSTEM "GeomParam/VeloVTankParam.xml">
]>
<DDDB>

  &GeneralParam;
  &SensorParam;

  <!-- Standard 21 station Velo, Light geometry, dog-leg sensors -->

  <detelem classID="8100" name="Velo">
    <author> Juan Palacios </author>
    <version> 1.0 </version>
    <geometryinfo lvname  ="/dd/Geometry/BeforeMagnetRegion/Velo/lvVelo"
      condition = "/dd/Conditions/Alignment/Velo/VeloSystem"
      support ="/dd/Structure/LHCb/BeforeMagnetRegion"
      npath   = "VertexSubsystem"/>

<!-- Fiducial cut on z position for sensitiveVolumeID -->
     <userParameter name="sensitiveVolumeCut" type="double"> 0.300*mm </userParameter>

<!-- Left and Right halves of detectors -->
    <detelemref href="DetElem/VeloHalves.xml#VeloLeft"/>
    <detelemref href="DetElem/VeloHalves.xml#VeloRight"/>
<!-- Wakefield cone -->
    <detelem name="WakeFieldCone">
      <geometryinfo lvname="/dd/Geometry/BeforeMagnetRegion/Velo/WFCone/lvWakeFieldCone"
        npath="pvWakeFieldCone"
        support="/dd/Structure/LHCb/BeforeMagnetRegion/Velo"/>
    </detelem>
<!-- Vacuum Tank -->
    <detelem name="UpStreamVacTank">
      <geometryinfo lvname="/dd/Geometry/BeforeMagnetRegion/Velo/VacTank/lvVTankUpStream"
        npath="pvVTa1"
        support="/dd/Structure/LHCb/BeforeMagnetRegion/Velo"/>
    </detelem>
    <detelem name="DownStreamVacTank">
      <geometryinfo lvname="/dd/Geometry/BeforeMagnetRegion/Velo/VacTank/lvVTankDownStream"
        npath="pvVTa2"
        support="/dd/Structure/LHCb/BeforeMagnetRegion/Velo"/>
    </detelem>

    <conditioninfo name="TELL1ToSensors" condition="/dd/Conditions/ReadoutConf/Velo/TELL1ToSensors"/>


  </detelem>
  
</DDDB>
